scoreboard players add @s missiles_timer 1

# Animations
execute if score @s missiles_timer matches 20 run function scripts:projectiles/animations/1/check
execute if score @s missiles_timer matches 80 run function scripts:projectiles/animations/2/check
execute if score @s missiles_timer matches 140 run function scripts:projectiles/animations/3/check
execute if score @s missiles_timer matches 258 run function scripts:projectiles/animations/3/0
execute if score @s missiles_timer matches 320 run function scripts:projectiles/animations/2/check
execute if score @s missiles_timer matches 380 run function scripts:projectiles/animations/1/check
execute if score @s missiles_timer matches 440 run function scripts:projectiles/animations/0/check

# Pre-launch
# execute if score @s timer matches 258 run execute as @e[type=marker,tag=radar] at @s run scoreboard players add @s radar.displays 1
execute if score @s missiles_timer matches 258 run scoreboard players add .amount projectiles 1

# Launch
execute if score @s missiles_timer matches 260 run summon minecraft:marker ~ ~ ~ {Tags:["projectile","missiles_missile","object"]}
# execute if score @s timer matches 260 run scoreboard players operation @e[type=marker,tag=icbm,sort=nearest,limit=1,distance=..1] player.ueid = @s player.ueid
execute if score @s missiles_timer matches 260 run scoreboard players operation @e[type=marker,tag=missiles_missile,sort=nearest,limit=1,distance=..1] missile_id = @s missile_id

# Post-launch
execute if score @s missiles_timer matches 262 run scoreboard players set @s missile_id 0

# Cosmetic
execute if score @s missiles_timer matches 20 run execute as @a[distance=..24] at @s run playsound minecraft:entity.horse.armor master @a ~ ~ ~ 1 1
execute if score @s missiles_timer matches 80 run execute as @a[distance=..24] at @s run playsound minecraft:entity.horse.armor master @a ~ ~ ~ 1 0.5
execute if score @s missiles_timer matches 140 run execute as @a[distance=..24] at @s run playsound minecraft:entity.horse.armor master @a ~ ~ ~ 1 0
execute if score @s missiles_timer matches 260 run execute as @a at @s run playsound minecraft:entity.wither.death master @s ~ ~ ~ 1 0
execute if score @s missiles_timer matches 320 run execute as @a[distance=..24] at @s run playsound minecraft:entity.horse.armor master @a ~ ~ ~ 1 0
execute if score @s missiles_timer matches 380 run execute as @a[distance=..24] at @s run playsound minecraft:entity.horse.armor master @a ~ ~ ~ 1 0.5
execute if score @s missiles_timer matches 440 run execute as @a[distance=..24] at @s run playsound minecraft:entity.horse.armor master @a ~ ~ ~ 1 1
execute if score @s missiles_timer matches 260 run particle minecraft:campfire_cosy_smoke ~ ~ ~ 0 0 0 0.1 250 force

execute if score @s missiles_timer matches 440.. run tag @s remove missiles_loaded
execute if score @s missiles_timer matches 440.. run scoreboard players reset @s missiles_timer